Page MenuHomePhabricator

csharp: Add more since tags to members
ClosedPublic

Authored by lauromoura on Oct 15 2019, 2:50 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
lauromoura created this revision.Oct 15 2019, 2:50 PM
lauromoura requested review of this revision.Oct 15 2019, 2:50 PM
segfaultxavi requested changes to this revision.Oct 24 2019, 9:35 AM

Doesn't this introduce lots of blank comment lines when there are no since tags?
Can we make the leading /// and the trailing \n also conditional on the presence of the tag?

This revision now requires changes to proceed.Oct 24 2019, 9:35 AM

Update by moving all those ternary operators into a helper method to generated the correct since paragraph line.

Also added an operator to get the string representation of the scope_tab generator.

segfaultxavi resigned from this revision.Oct 31 2019, 1:25 AM

no further complains!

felipealmeida accepted this revision.Nov 25 2019, 9:03 AM
This revision is now accepted and ready to land.Nov 25 2019, 9:03 AM
This revision was automatically updated to reflect the committed changes.